Subject: Re: [PATCH v4 07/12] rebase: add --update-refs option

From: Derrick Stolee <[email-masked]>
Date: Tue, 19 Jul 2022 11:53:01 -0400

On 7/18/2022 3:35 PM, Junio C Hamano wrote:
> Derrick Stolee <[email-masked]> writes:
> 
>> ... I think I should use "branches" here, but
>> keep the name "--update-refs". The biggest reason is that it provides
>> a nice parallel with the "update-ref" sequencer command. This command
>> allows updating _any_ ref, such as lightweight tags in refs/tags/*
>> or even refs in refs/my/namespace/*.
>>
>> The --update-refs option doesn't create the commands to update tags
>> or refs in places other than refs/heads/*.
> 
> I guess it would make the choice of "branch" the most appropriate.
> 
> I was hoping that we can repoint refs in private namespaces that are
> not branches with the option.  But as long as the underlying
> "update-ref" instruction can be used by advanced users, that is OK.

I would like to keep the --update-refs name for a couple reasons:

1. 'update-ref' is the right name for the sequencer command. Having
   a parallel there is helpful for learning about the option.

2. We could extend the boolean '--update-refs' option into a more
   advanced multi-valued '--update-refs=<refspec>' option to allow
   advanced users to specify a ref namespace that they want included.

Thanks,
-Stolee